Removes a region of an image and trims

- « Gmagick::charcoalimage

- Gmagick::clear »

- PHP Manual
- Gmagick
- Removes a region of an image and trims

# Gmagick::chopimage

(PECL gmagick >= Unknown)

Gmagick::chopimage — Removes a region of an image and trims

### Description

public Gmagick::chopimage(
int `$width`,
int `$height`,
int `$x`,
int `$y`
): Gmagick

Removes a region of an image and collapses the image to occupy the removed portion.

### Parameters

`width`

  Width of the chopped area.

`height`

  Height of the chopped area.

`x`

  X origo of the chopped area.

`y`

  Y origo of the chopped area.

### Return Values

The chopped Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.